Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

OptionsProvider.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Publish\Core\FieldType\Image\IO;
8
9 class OptionsProvider
10 {
11 protected $varDir;
12
13 protected $storageDir;
14
15 protected $draftImagesDir;
16
17 protected $publishedImagesDir;
18
19 public function __construct(array $values = [])
20 {
21 $this->varDir = isset($values['var_dir']) ? $values['var_dir'] : null;
22 $this->storageDir = isset($values['storage_dir']) ? $values['storage_dir'] : null;
23 $this->draftImagesDir = isset($values['draft_images_dir']) ? $values['draft_images_dir'] : null;
24 $this->publishedImagesDir = isset($values['published_images_dir']) ? $values['published_images_dir'] : null;
25 }
26
27 public function setVarDir($varDir)
28 {
29 $this->varDir = $varDir;
30 }
31
32 public function getVarDir()
33 {
34 return $this->varDir;
35 }
36
37 public function setStorageDir($storageDir)
38 {
39 $this->storageDir = $storageDir;
40 }
41
42 public function getStorageDir()
43 {
44 return $this->storageDir;
45 }
46
47 public function setDraftImagesDir($draftImagesDir)
48 {
49 $this->draftImagesDir = $draftImagesDir;
50 }
51
52 public function getDraftImagesDir()
53 {
54 return $this->draftImagesDir;
55 }
56
57 public function setPublishedImagesDir($publishedImagesDir)
58 {
59 $this->publishedImagesDir = $publishedImagesDir;
60 }
61
62 public function getPublishedImagesDir()
63 {
64 return $this->publishedImagesDir;
65 }
66 }
eZ\Publish\Core\FieldType\Image\IO\OptionsProvider
Definition: OptionsProvider.php:10
eZ\Publish\Core\FieldType\Image\IO\OptionsProvider\getPublishedImagesDir
getPublishedImagesDir()
Definition: OptionsProvider.php:62
eZ\Publish\Core\FieldType\Image\IO\OptionsProvider\getStorageDir
getStorageDir()
Definition: OptionsProvider.php:42
eZ\Publish\Core\FieldType\Image\IO\OptionsProvider\setVarDir
setVarDir($varDir)
Definition: OptionsProvider.php:27
eZ\Publish\Core\FieldType\Image\IO\OptionsProvider\$storageDir
$storageDir
Definition: OptionsProvider.php:13
eZ\Publish\Core\FieldType\Image\IO\OptionsProvider\setDraftImagesDir
setDraftImagesDir($draftImagesDir)
Definition: OptionsProvider.php:47
eZ\Publish\Core\FieldType\Image\IO\OptionsProvider\setStorageDir
setStorageDir($storageDir)
Definition: OptionsProvider.php:37
eZ\Publish\Core\FieldType\Image\IO\OptionsProvider\setPublishedImagesDir
setPublishedImagesDir($publishedImagesDir)
Definition: OptionsProvider.php:57
eZ\Publish\Core\FieldType\Image\IO\OptionsProvider\getDraftImagesDir
getDraftImagesDir()
Definition: OptionsProvider.php:52
eZ\Publish\Core\FieldType\Image\IO\OptionsProvider\getVarDir
getVarDir()
Definition: OptionsProvider.php:32
eZ\Publish\Core\FieldType\Image\IO\OptionsProvider\$draftImagesDir
$draftImagesDir
Definition: OptionsProvider.php:15
eZ\Publish\Core\FieldType\Image\IO\OptionsProvider\__construct
__construct(array $values=[])
Definition: OptionsProvider.php:19
eZ\Publish\Core\FieldType\Image\IO\OptionsProvider\$publishedImagesDir
$publishedImagesDir
Definition: OptionsProvider.php:17
eZ\Publish\Core\FieldType\Image\IO\OptionsProvider\$varDir
$varDir
Definition: OptionsProvider.php:11
eZ\Publish\Core\FieldType\Image\IO
Definition: Legacy.php:7
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.